App::Yath::Options::Debug(3pm)

NAME
App::Yath::Options::Debug - Debug options for Yath

DESCRIPTION
This is where debug related command line options live.

PROVIDED OPTIONS

  YATH OPTIONS (PRE-COMMAND)
Help and Debugging

--show-opts
--no-show-opts
    Exit after showing what yath thinks your options mean

--version
-V
--no-version
    Exit after showing a helpful usage message

  COMMAND OPTIONS
Help and Debugging

--dummy
-d
--no-dummy
    Dummy run, do not actually execute anything

    Can also be set with the following environment variables: "T2_HARNESS_DUMMY"

--help
-h
--no-help
    exit after showing help information

--interactive
-i
--no-interactive
    Use interactive mode, 1 test at a time, stdin forwarded to it

--keep-dirs
--keep_dir
-k
--no-keep-dirs
    Do not delete directories when done. This is useful if you want to inspect the directories used for various commands.

--procname-prefix ARG
--procname-prefix=ARG
--no-procname-prefix
    Add a prefix to all proc names (as seen by ps).

--summary
--summary=/path/to/summary.json
--no-summary
    Write out a summary json file, if no path is provided 'summary.json' will be used. The .json extension is added automatically if omitted.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/